# pn_vrouter_bgp_network – CLI command to add/remove vrouter-bgp-network

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to add Border Gateway Protocol network to a vRouter and remove Border Gateway Protocol network from a vRouter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_netmask string |  | BGP network mask.
pn_network string |  | IP address for BGP network.
pn_vrouter_name string |  | name of service config.

state
string / required

Choices:
- present
- absent

State the action to perform. Use `present` to add bgp network and `absent` to remove bgp network.

## Examples

    - name:  Add network to bgp
      pn_vrouter_bgp_network:
        pn_cliswitch: "sw01"
        state: "present"
        pn_vrouter_name: "foo-vrouter"
        pn_network: '10.10.10.10'
        pn_netmask: '31'

    - name:  Remove network from bgp
      pn_vrouter_bgp_network:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_vrouter_name: "foo-vrouter"
        pn_network: '10.10.10.10'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-bgp-network command.
stdout list | always | set of responses from the vrouter-bgp-network command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.